package Person.person;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import Person.person.*;

public class PersonController
{
   private PersonView personview;
   private PersonModel personmodel;

   // Konstruktor 
   public PersonController ()
   {
       this.personview = new PersonView();
       this.personmodel = new PersonModel();

      this.setActionListener ();
   }

   private void setActionListener ()
   {
       this.personview.setjbShowListener (new ShowListener ());
       this.personview.setjbSaveListener (new SaveListener ());
       this.personview.setjbLogModelListener (new LogModelListener ());
       this.personview.setjbLogViewListener (new LogViewListener ());
       this.personview.setjbExitListener (new ExitListener ());
   }

class ShowListener implements ActionListener
{
   public void actionPerformed(ActionEvent e) 
   {
       personview.setMessage( "ShowListener geclickt" );
   }
}

class SaveListener implements ActionListener
{
   public void actionPerformed(ActionEvent e) 
   {
       personview.setMessage( "SaveListener geclickt" );
   }
}

class LogModelListener implements ActionListener
{
   public void actionPerformed(ActionEvent e) 
   {
       personview.setMessage( "LogModelListener geclickt" );
   }
}

class LogViewListener implements ActionListener
{
   public void actionPerformed(ActionEvent e) 
   {
       personview.setMessage( "LogViewListener geclickt" );
   }
}

class ExitListener implements ActionListener
{
   public void actionPerformed(ActionEvent e) 
   {
       personview.setMessage( "ExitListener geclickt" );
   }
}

}
